r1944: *** empty log message ***
[ctsim.git] / configure
index 19619e4f1af390a6804818605060eb1dc5b4917e..843687cdb2715679dbbe037729cea4ce270322e5 100755 (executable)
--- a/configure
+++ b/configure
@@ -1222,6 +1222,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
+
 ac_aux_dir=
 for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
   if test -f $ac_dir/install-sh; then
@@ -1743,9 +1744,6 @@ else
 fi
 
 
-CPPFLAGS='$(CPPFLAGS) -DDATADIR="$(datadir)"'
-CFLAGS="$CFLAGS -I/usr/local/include"
-LDFLAGS="$LDFLAGS -L/usr/local/lib"
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3072,7 +3070,6 @@ echo "${ECHO_T}no" >&6
 fi
 
 
-
 # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||
   { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
@@ -5485,6 +5482,7 @@ _ACEOF
 
 
 
+
 echo "$as_me:$LINENO: checking for deflate in -lz" >&5
 echo $ECHO_N "checking for deflate in -lz... $ECHO_C" >&6
 if test "${ac_cv_lib_z_deflate+set}" = set; then
@@ -5772,7 +5770,9 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_readline_main" >&5
 echo "${ECHO_T}$ac_cv_lib_readline_main" >&6
 if test $ac_cv_lib_readline_main = yes; then
-  readline=true; cat >>confdefs.h <<\_ACEOF
+  readline=true;
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_READLINE 1
 _ACEOF
 
@@ -5780,122 +5780,6 @@ else
   readline=false
 fi
 
-echo "$as_me:$LINENO: checking for main in -lncurses" >&5
-echo $ECHO_N "checking for main in -lncurses... $ECHO_C" >&6
-if test "${ac_cv_lib_ncurses_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lncurses  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-#  ifdef __cplusplus
-     extern "C"
-#  endif
-   int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_ncurses_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_ncurses_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_ncurses_main" >&5
-echo "${ECHO_T}$ac_cv_lib_ncurses_main" >&6
-if test $ac_cv_lib_ncurses_main = yes; then
-  ncurses=true; cat >>confdefs.h <<\_ACEOF
-#define HAVE_NCURSES 1
-_ACEOF
-
-else
-  ncurses=false
-fi
-
-echo "$as_me:$LINENO: checking for main in -lcurses" >&5
-echo $ECHO_N "checking for main in -lcurses... $ECHO_C" >&6
-if test "${ac_cv_lib_curses_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lcurses  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-#  ifdef __cplusplus
-     extern "C"
-#  endif
-   int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_curses_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_curses_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_curses_main" >&5
-echo "${ECHO_T}$ac_cv_lib_curses_main" >&6
-if test $ac_cv_lib_curses_main = yes; then
-  curses=true; cat >>confdefs.h <<\_ACEOF
-#define HAVE_CURSES 1
-_ACEOF
-
-else
-  curses=false
-fi
-
 wxwin=false
 echo "$as_me:$LINENO: checking for main in -lwx_gtk-2.2" >&5
 echo $ECHO_N "checking for main in -lwx_gtk-2.2... $ECHO_C" >&6
 echo "$as_me:$LINENO: result: $ac_cv_lib_wx_gtk_2_2_main" >&5
 echo "${ECHO_T}$ac_cv_lib_wx_gtk_2_2_main" >&6
 if test $ac_cv_lib_wx_gtk_2_2_main = yes; then
-  wxwin=true; wx_gtk=true; cat >>confdefs.h <<\_ACEOF
-#define HAVE_WXWINDOWS 1
-_ACEOF
-
-fi
-
-echo "$as_me:$LINENO: checking for main in -lwx" >&5
-echo $ECHO_N "checking for main in -lwx... $ECHO_C" >&6
-if test "${ac_cv_lib_wx_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lwx  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-#  ifdef __cplusplus
-     extern "C"
-#  endif
-   int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_wx_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_wx_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_wx_main" >&5
-echo "${ECHO_T}$ac_cv_lib_wx_main" >&6
-if test $ac_cv_lib_wx_main = yes; then
-  wxwin=true; wx_msw=true; cat >>confdefs.h <<\_ACEOF
+  wxwin=true; wx_gtk=true;
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_WXWINDOWS 1
 _ACEOF
 
 fi
 
-echo "$as_me:$LINENO: checking for main in -lhdf4" >&5
-echo $ECHO_N "checking for main in -lhdf4... $ECHO_C" >&6
-if test "${ac_cv_lib_hdf4_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lhdf4 -lz $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-#  ifdef __cplusplus
-     extern "C"
-#  endif
-   int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_hdf4_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_hdf4_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_hdf4_main" >&5
-echo "${ECHO_T}$ac_cv_lib_hdf4_main" >&6
-if test $ac_cv_lib_hdf4_main = yes; then
-  hdf4=true
-else
-  hdf4=false
-fi
-
 echo "$as_me:$LINENO: checking for fftw_one in -lfftw" >&5
 echo $ECHO_N "checking for fftw_one in -lfftw... $ECHO_C" >&6
 if test "${ac_cv_lib_fftw_fftw_one+set}" = set; then
@@ -6120,7 +5894,8 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftw_one" >&5
 echo "${ECHO_T}$ac_cv_lib_fftw_fftw_one" >&6
 if test $ac_cv_lib_fftw_fftw_one = yes; then
-  fftw=true; cat >>confdefs.h <<\_ACEOF
+  fftw=true;
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_FFTW 1
 _ACEOF
 
@@ -6290,7 +6065,8 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_png_main" >&5
 echo "${ECHO_T}$ac_cv_lib_png_main" >&6
 if test $ac_cv_lib_png_main = yes; then
-  png=true ; cat >>confdefs.h <<\_ACEOF
+  png=true ;
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_PNG 1
 _ACEOF
 
@@ -7480,21 +7256,10 @@ fi
 
 fi
 
-if test "${pthread}" = "true" ; then
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -pthread -D_REENTRANT"
- fi
-
-  cat >>confdefs.h <<\_ACEOF
-#define HAVE_WXTHREADS 1
-_ACEOF
-
-fi
-
 if test "${getopt_long}" = "false" ; then
   my_includes="$my_includes -I../getopt"
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_GETOPT_LONG 1
 _ACEOF
 
@@ -7552,25 +7317,41 @@ else
   DEBUG_FALSE=
 fi
 
+if test "$datadir" != "" ; then
+  CPPFLAGS="$CPPFLAGS -DDATADIR=\"\\\"$datadir\\\"\""
+fi
+
 if test "$debug" = "true" ; then
-  CFLAGS="-g -DDEBUG"
-  cat >>confdefs.h <<\_ACEOF
+  CFLAGS="$CFLAGS -g -DDEBUG"
+
+cat >>confdefs.h <<\_ACEOF
 #define DEBUG 1
 _ACEOF
 
 else
-  CFLAGS="-O3 -DNDEBUG -fomit-frame-pointer"
-  cat >>confdefs.h <<\_ACEOF
+  CFLAGS="$CFLAGS -O3 -DNDEBUG -fomit-frame-pointer"
+
+cat >>confdefs.h <<\_ACEOF
 #define NDEBUG 1
 _ACEOF
 
 fi
 
+if test "${pthread}" = "true" ; then
+  CFLAGS="$FLAGS -pthread -D_REENTRANT"
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_WXTHREADS 1
+_ACEOF
+
+fi
+
 echo "$as_me:$LINENO: checking sstream" >&5
 echo $ECHO_N "checking sstream... $ECHO_C" >&6
  if  test -f /usr/include/sstream || test -f /usr/include/g++/sstream ||
      test -f /usr/include/g++-2/sstream || test -f /usr/include/g++-3/sstream ; then
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_SSTREAM 1
 _ACEOF
 
@@ -7581,11 +7362,7 @@ echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -Wall"
- fi
-
+CFLAGS="$CFLAGS -Wall"
 echo "$as_me:$LINENO: checking whether to enable verbose warnings" >&5
 echo $ECHO_N "checking whether to enable verbose warnings... $ECHO_C" >&6
 # Check whether --enable-verbose-warnings or --disable-verbose-warnings was given.
@@ -7595,37 +7372,7 @@ if test "${enable_verbose_warnings+set}" = set; then
   yes)
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -W"
- fi
-
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -Wshadow -Wpointer-arith -Wbad-function-cast"
- fi
-
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -Wcast-align -Wwrite-strings -Waggregate-return"
- fi
-
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -Wmissing-prototypes -Wstrict-prototypes"
- fi
-
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -pedantic"
- fi
-
-
- if test -n "$GCC"; then
-    CFLAGS="$CFLAGS -Wredundant-decls"
- fi
-
-
+    CFLAGS="$CFLAGS -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes -pedantic -Wredundant-decls"
     ;;
   *)
     echo "$as_me:$LINENO: result: no" >&5
@@ -7647,11 +7394,7 @@ if test "${enable_static+set}" = set; then
   yes)
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
- if test -n "$GCC"; then
     CFLAGS="$CFLAGS --static"
- fi
-
     ;;
   *)
     echo "$as_me:$LINENO: result: no" >&5
@@ -7728,7 +7471,8 @@ echo $ECHO_N "checking for CTN DICOM installation... $ECHO_C" >&6
       fi
       ctndir="$testctndir"
       ctn="true"
-      cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_CTN_DICOM 1
 _ACEOF
 
@@ -9080,7 +8824,8 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_Xt_XtToolkitThreadInitialize" >&5
 echo "${ECHO_T}$ac_cv_lib_Xt_XtToolkitThreadInitialize" >&6
 if test $ac_cv_lib_Xt_XtToolkitThreadInitialize = yes; then
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define X_THREAD_SUPPORT 1
 _ACEOF
 
@@ -9146,7 +8891,8 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_XdbeQueryExtension" >&5
 echo "${ECHO_T}$ac_cv_lib_Xext_XdbeQueryExtension" >&6
 if test $ac_cv_lib_Xext_XdbeQueryExtension = yes; then
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_DBE_SUPPORT 1
 _ACEOF
 
@@ -9208,7 +8954,8 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_XmbufQueryExtension" >&5
 echo "${ECHO_T}$ac_cv_lib_Xext_XmbufQueryExtension" >&6
 if test $ac_cv_lib_Xext_XmbufQueryExtension = yes; then
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_MBX_SUPPORT 1
 _ACEOF
 
@@ -9352,7 +9099,8 @@ LDFLAGS="$LDFLAGS -L/usr/local/lib"
 echo "$as_me:$LINENO: checking for X" >&5
 echo $ECHO_N "checking for X... $ECHO_C" >&6
 if test "$no_x" != "yes" ; then
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_X11 1
 _ACEOF
 
@@ -9368,7 +9116,8 @@ echo "${ECHO_T}yes" >&6
     fi
   fi
   if test "$wxwin" = "true" ; then
-    cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_SGP 1
 _ACEOF
 
@@ -9480,7 +9229,8 @@ fi;
 
 if test "$dmallocxx" = "true" -a "$usedmalloc" = "true" ; then
   ctlibs_tools="$ctlibs_tools -ldmallocxx"
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_DMALLOC 1
 _ACEOF
 
@@ -9568,7 +9318,8 @@ fi;
 
 if test "$efence" = "true" -a "$useefence" = "true" ; then
   ctlibs_tools="$ctlibs_tools -lefence"
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_EFENCE 1
 _ACEOF
 
@@ -9613,6 +9364,7 @@ fi
 CXXFLAGS="$CFLAGS"
 
 ac_config_files="$ac_config_files Makefile libctgraphics/Makefile libctsupport/Makefile libctsim/Makefile Makefile man/Makefile cgi-bin/ctsim.cgi cgi-bin/Makefile html/simulate.html html/Makefile include/Makefile getopt/Makefile tools/sample-ctsim.sh cgi-bin/ctsim.conf tools/Makefile src/Makefile helical/Makefile helical/sample-helical.sh"
+
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure